# Uses of Class
org.apache.commons.math3.linear.Array2DRowRealMatrix

Packages that use Array2DRowRealMatrix
Package
Description
org.apache.commons.math3.linear
Linear algebra support.
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.nonstiff
This package provides classes to solve non-stiff Ordinary Differential Equations problems.
org.apache.commons.math3.ode.sampling
This package provides classes to handle sampling steps during Ordinary Differential Equations integration.

## Uses of Array2DRowRealMatrix in org.apache.commons.math3.linear

Methods in org.apache.commons.math3.linear that return Array2DRowRealMatrix
Modifier and Type
Method
Description
`Array2DRowRealMatrix`
Array2DRowRealMatrix.`add(Array2DRowRealMatrix m)`
Compute the sum of `this` and `m`.
`static Array2DRowRealMatrix`
MatrixUtils.`bigFractionMatrixToRealMatrix(FieldMatrix<BigFraction> m)`
Convert a `FieldMatrix`/`BigFraction` matrix to a `RealMatrix`.
`static Array2DRowRealMatrix`
MatrixUtils.`fractionMatrixToRealMatrix(FieldMatrix<Fraction> m)`
Convert a `FieldMatrix`/`Fraction` matrix to a `RealMatrix`.
`Array2DRowRealMatrix`
Array2DRowRealMatrix.`multiply(Array2DRowRealMatrix m)`
Returns the result of postmultiplying `this` by `m`.
`Array2DRowRealMatrix`
Array2DRowRealMatrix.`subtract(Array2DRowRealMatrix m)`
Returns `this` minus `m`.
Methods in org.apache.commons.math3.linear with parameters of type Array2DRowRealMatrix
Modifier and Type
Method
Description
`Array2DRowRealMatrix`
Array2DRowRealMatrix.`add(Array2DRowRealMatrix m)`
Compute the sum of `this` and `m`.
`Array2DRowRealMatrix`
Array2DRowRealMatrix.`multiply(Array2DRowRealMatrix m)`
Returns the result of postmultiplying `this` by `m`.
`Array2DRowRealMatrix`
Array2DRowRealMatrix.`subtract(Array2DRowRealMatrix m)`
Returns `this` minus `m`.

## Uses of Array2DRowRealMatrix in org.apache.commons.math3.ode

Fields in org.apache.commons.math3.ode declared as Array2DRowRealMatrix
Modifier and Type
Field
Description
`protected Array2DRowRealMatrix`
MultistepIntegrator.`nordsieck`
Nordsieck matrix of the higher scaled derivatives.
Methods in org.apache.commons.math3.ode that return Array2DRowRealMatrix
Modifier and Type
Method
Description
`protected abstract Array2DRowRealMatrix`
MultistepIntegrator.`initializeHighOrderDerivatives(double h, double[] t, double[][] y, double[][] yDot)`
Initialize the high order scaled derivatives at step start.
`Array2DRowRealMatrix`
MultistepIntegrator.NordsieckTransformer.`initializeHighOrderDerivatives(double h, double[] t, double[][] y, double[][] yDot)`
Deprecated.
Initialize the high order scaled derivatives at step start.

## Uses of Array2DRowRealMatrix in org.apache.commons.math3.ode.nonstiff

Methods in org.apache.commons.math3.ode.nonstiff that return Array2DRowRealMatrix
Modifier and Type
Method
Description
`protected Array2DRowRealMatrix`
AdamsIntegrator.`initializeHighOrderDerivatives(double h, double[] t, double[][] y, double[][] yDot)`
Initialize the high order scaled derivatives at step start.
`Array2DRowRealMatrix`
AdamsNordsieckTransformer.`initializeHighOrderDerivatives(double h, double[] t, double[][] y, double[][] yDot)`
Initialize the high order scaled derivatives at step start.
`Array2DRowRealMatrix`
AdamsIntegrator.`updateHighOrderDerivativesPhase1(Array2DRowRealMatrix highOrder)`
Update the high order scaled derivatives for Adams integrators (phase 1).
`Array2DRowRealMatrix`
AdamsNordsieckTransformer.`updateHighOrderDerivativesPhase1(Array2DRowRealMatrix highOrder)`
Update the high order scaled derivatives for Adams integrators (phase 1).
Methods in org.apache.commons.math3.ode.nonstiff with parameters of type Array2DRowRealMatrix
Modifier and Type
Method
Description
`Array2DRowRealMatrix`
AdamsIntegrator.`updateHighOrderDerivativesPhase1(Array2DRowRealMatrix highOrder)`
Update the high order scaled derivatives for Adams integrators (phase 1).
`Array2DRowRealMatrix`
AdamsNordsieckTransformer.`updateHighOrderDerivativesPhase1(Array2DRowRealMatrix highOrder)`
Update the high order scaled derivatives for Adams integrators (phase 1).
`void`
AdamsIntegrator.`updateHighOrderDerivativesPhase2(double[] start, double[] end, Array2DRowRealMatrix highOrder)`
Update the high order scaled derivatives Adams integrators (phase 2).
`void`
AdamsNordsieckTransformer.`updateHighOrderDerivativesPhase2(double[] start, double[] end, Array2DRowRealMatrix highOrder)`
Update the high order scaled derivatives Adams integrators (phase 2).

## Uses of Array2DRowRealMatrix in org.apache.commons.math3.ode.sampling

Methods in org.apache.commons.math3.ode.sampling with parameters of type Array2DRowRealMatrix
Modifier and Type
Method
Description
`void`
NordsieckStepInterpolator.`reinitialize(double time, double stepSize, double[] scaledDerivative, Array2DRowRealMatrix nordsieckVector)`
Reinitialize the instance.